Bug 135173 - Dutch X Keyboard Support
Dutch X Keyboard Support
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: rhpl (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
David Lawrence
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-09 14:36 EDT by Traxtopel
Modified: 2008-05-06 20:01 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 20:01:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Adds dutch keyboard to rhpl (1.87 KB, patch)
2004-10-09 14:40 EDT, Traxtopel
no flags Details | Diff
Adds euro sign and corrects ] [ being wrong to /usr/X11R6/lib/X11/xkb/symbols/pc/nl (1.94 KB, patch)
2004-10-09 14:41 EDT, Traxtopel
no flags Details | Diff
corrects /usr/X11R6/lib/X11/xkb/symbols/nl euro and brackets (1.08 KB, patch)
2004-10-09 14:42 EDT, Traxtopel
no flags Details | Diff

  None (edit)
Description Traxtopel 2004-10-09 14:36:41 EDT
Dutch keyboard support is not implemented in X on any redhat version.
The following patches added support. X.org offers support but it is
not correctly implemented.

diff -u /usr/lib/python2.3/site-packages/rhpl/keyboard_models.py.orig
/usr/lib/python2.3/site-packages/rhpl/keyboard_models.py
--- /usr/lib/python2.3/site-packages/rhpl/keyboard_models.py.orig    
  2004-06-08 20:29:09.000000000 +0200
+++ /usr/lib/python2.3/site-packages/rhpl/keyboard_models.py   
2004-10-05 16:39:48.000000000 +0200
@@ -86,6 +86,10 @@
             'dk-latin1'               : [gkn(_('keyboard|Danish
(latin1)')), 'dk', 'pc105', '', ''   ],
             # Translators: the word before the bar is just context and
             # doesn't need to be translated. Only after will be
translated.
+            'nl-latin1'               : [gkn(_('keyboard|Dutch
(nl-latin1)')), 'nl', 'pc105', '', ''   ],
+
+            # Translators: the word before the bar is just context and
+            # doesn't need to be translated. Only after will be
translated.
             'es'                      : [gkn(_('keyboard|Spanish')),
'es', 'pc105', '', ''   ],
             # Translators: the word before the bar is just context and
             # doesn't need to be translated. Only after will be
translated.
@@ -149,9 +153,6 @@
             'mk-utf'                  :
[gkn(_('keyboard|Macedonian')), 'us,mk', 'pc105',
'','grp:shift_toggle,grp_led:scroll'],
             # Translators: the word before the bar is just context and
             # doesn't need to be translated. Only after will be
translated.
-            'nl'                      : [gkn(_('keyboard|Dutch')),
'nl', 'pc105', '', ''                                  ],-           
# Translators: the word before the bar is just context and
-            # doesn't need to be translated. Only after will be
translated.
             'no'                      :
[gkn(_('keyboard|Norwegian')), 'no', 'pc105', '', ''   ],
             # Translators: the word before the bar is just context and
             # doesn't need to be translated. Only after will be
translated.

diff -u /usr/X11R6/lib/X11/xkb/symbols/nl.orig
/usr/X11R6/lib/X11/xkb/symbols/nl
--- /usr/X11R6/lib/X11/xkb/symbols/nl.orig      2004-09-14
17:48:41.000000000 +0200
+++ /usr/X11R6/lib/X11/xkb/symbols/nl   2004-10-05 16:39:48.000000000
+0200
@@ -37,7 +37,7 @@
     key <AE12> {       [    degree,    dead_tilde      ],
                        [ dead_cedilla                  ]       };
     key <AD03> {       [         e,    E               ],
-                       [    eacute,    Eacute          ]       };
+                       [    EuroSign,  cent            ]       };
     key <AD04> {       [         r,    R               ],
                        [ paragraph,    registered      ]       };
     key <AD05> {       [         t,    T               ],
@@ -52,7 +52,7 @@
                        [    ograve,    Ograve          ]       };
     key <AD10> {       [         p,    P               ],
                        [ paragraph                     ]       };
-    key <AD11> {       [ dead_diaeresis,       dead_tilde      ],
+    key <AD11> {       [ dead_diaeresis,       dead_circumflex ],
                        [ asciitilde,   asciicircum     ]       };
     key <AD12> {       [  asterisk,    bar             ]       };
     key <AC01> {       [         a,    A               ],
@@ -85,7 +85,7 @@
                        [ periodcentered,       guillemotright  ]       };
     key <AB10> {       [     minus,    equal           ],
                        [    hyphen                     ]       };
-    key <LSGT> {       [ bracketleft,  bracketright    ],
+    key <LSGT> {       [ bracketright, bracketleft     ],
                        [       bar                     ]       };

     // End alphanumeric section

diff -u /usr/X11R6/lib/X11/xkb/symbols/pc/nl.orig
/usr/X11R6/lib/X11/xkb/symbols/pc/nl
--- /usr/X11R6/lib/X11/xkb/symbols/pc/nl.orig   2004-09-14
17:48:42.000000000 +0200
+++ /usr/X11R6/lib/X11/xkb/symbols/pc/nl        2004-10-05
16:39:48.000000000 +0200
@@ -6,7 +6,7 @@
 // converted from the nl-latin.map of the Linux kbd package by
 // Pablo Saratxaga <srtxg@f2219.n293.z2.fidonet.org>
 //
-// $XFree86: xc/programs/xkbcomp/symbols/pc/nl,v 1.2 2002/11/22
04:03:28 dawes Exp $
+// $XFree86$

 default partial alphanumeric_keys
 xkb_symbols "basic" {
@@ -23,15 +23,14 @@
     key <AE10> { [         0, apostrophe,   braceright,       degree ] };
     key <AE11> { [     slash,   question,    backslash, questiondown ] };
     key <AE12> { [    degree, dead_tilde, dead_cedilla,  dead_ogonek ] };
-
-    key <AD03> { [         e,          E,       eacute,       Eacute ] };
+    key <AD03> { [         e,          E,     EuroSign,         cent ] };
     key <AD05> { [         t,          T,        thorn,        THORN ] };
     key <AD06> { [         y,          Y,   ydiaeresis,          yen ] };
     key <AD07> { [         u,          U,   udiaeresis,   Udiaeresis ] };
     key <AD08> { [         i,          I,   idiaeresis,   Idiaeresis ] };
     key <AD09> { [         o,          O,       ograve,       Ograve ] };
     key <AD10> { [         p,          P,    paragraph,        THORN ] };
-    key <AD11> { [dead_diaeresis, dead_tilde, asciitilde, asciicircum] };
+    key <AD11> { [dead_diaeresis, dead_circumflex, asciitilde,
asciicircum]    };
     key <AD12> { [  asterisk,        bar,   dead_tilde,  dead_macron ] };

     key <AC01> { [         a,          A,       aacute,       Aacute ] };
@@ -47,7 +46,7 @@
     key <AB09> { [    period,      colon, periodcentered,
guillemotright ] };
     key <AB10> { [     minus,      equal,       hyphen, dead_abovedot] };

-    key <LSGT> { [bracketleft, bracketright,       bar,    brokenbar ] };
+    key <LSGT> { [bracketright, bracketleft,       bar,    brokenbar ] };

     include "level3(ralt_switch_multikey)"
 };
Comment 1 Traxtopel 2004-10-09 14:40:02 EDT
Created attachment 104972 [details]
Adds dutch keyboard to rhpl
Comment 2 Traxtopel 2004-10-09 14:41:31 EDT
Created attachment 104973 [details]
Adds euro sign and corrects ] [ being wrong to /usr/X11R6/lib/X11/xkb/symbols/pc/nl
Comment 3 Traxtopel 2004-10-09 14:42:48 EDT
Created attachment 104974 [details]
corrects /usr/X11R6/lib/X11/xkb/symbols/nl euro and brackets
Comment 4 Jeremy Katz 2004-10-10 22:18:06 EDT
Please file the X bits against xorg-x11 instead of rhpl so that Mike
can evaluate them (and he's probably going to tell you to file them
upstream with the xorg folks)
Comment 5 Traxtopel 2004-10-11 01:23:31 EDT
Opened a bug as requested 135233.
Also submitted an email bug request to X.org.
Comment 6 Paul Nasrat 2004-10-11 05:09:12 EDT
Can I suggest you add the rhpl patch as an uncompressed attachments (
you many want to do this for the xorg pathces in bug #135233 too)

Thanks
Comment 7 Traxtopel 2004-10-11 09:05:05 EDT
They are already 
Check attachment "Adds dutch keyboard to rhpl"
Comment 8 Paul Nasrat 2004-10-11 09:14:41 EDT
Oops.  Apologies.
Comment 9 Red Hat Bugzilla 2007-08-21 01:18:50 EDT
User pnasrat@redhat.com's account has been closed
Comment 10 Bug Zapper 2008-04-03 11:41:35 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 11 Bug Zapper 2008-05-06 20:01:27 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

Note You need to log in before you can comment on or make changes to this bug.